Updated info about Threat Modeling tool


If you are getting a user breakpoint when generating a threat model report or using the threat model preview for a threat model with Visio diagrams and you have Visio installed, it may be because stdole’s primary interop assembly (PIA) wasn’t installed in the GAC by Office.  If you have installed the .NET Framework v1.1 after installing office, see the instructions here in order to install the Office 2003 PIAs:


http://msdn.microsoft.com/library/default.asp?url=/library/en-us/stagsdk/html/stconPIAs.asp

Comments (5)
  1. Dave says:

    Hi, I get this breakpoint but I’m don’t have Office 2003 (only 2000).

    Are the instructions similar for 2000? Or is there something I’m missing here…

    Thanks.

  2. Michael Howard has a couple of blog entries about the Threat Modeling Tool published by Microsoft. While primarily geared toward…

  3. dru says:

    Which Office 2003 PIAs do you need?

  4. 仪表 says:

    Is Office 2000 inlcude Threat Modeling tool?How does it work?

Comments are closed.

Skip to main content